Page MenuHomePhabricator

1.38.0-wmf.26 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
dancy
Release Version
1.38.0-wmf.26
Release Date
Mar 14 2022, 12:00 AM

2022 week 11 1.38-wmf.26 Changes wmf/1.38.0-wmf.26

This MediaWiki Train Deployment is scheduled for the week of Monday, March 14th:

Monday March 14thTuesday, March 15thWednesday, March 16thThursday, March 17thFriday
Backports only.Branch wmf.26 and deploy to Group 0 Wikis.Deploy wmf.26 to Group 1 Wikis.Deploy wmf.26 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.26 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.38.0-wmf.25
Next: ...

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: dancy.
thcipriani set the point value for this task to 5.

Change 770961 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] testwikis wikis to 1.38.0-wmf.26 refs T300202

https://gerrit.wikimedia.org/r/770961

Change 770961 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.38.0-wmf.26 refs T300202

https://gerrit.wikimedia.org/r/770961

Mentioned in SAL (#wikimedia-operations) [2022-03-15T16:20:51Z] <jhuneidi@deploy1002> Started scap: testwikis wikis to 1.38.0-wmf.26 refs T300202

Mentioned in SAL (#wikimedia-operations) [2022-03-15T16:59:45Z] <jhuneidi@deploy1002> Finished scap: testwikis wikis to 1.38.0-wmf.26 refs T300202 (duration: 38m 54s)

Change 770990 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] group0 wikis to 1.38.0-wmf.26 refs T300202

https://gerrit.wikimedia.org/r/770990

Change 770990 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.38.0-wmf.26 refs T300202

https://gerrit.wikimedia.org/r/770990

Mentioned in SAL (#wikimedia-operations) [2022-03-15T18:04:34Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.38.0-wmf.26 refs T300202

Thanks @kostajh. I'll keep an eye out for it in the logs

New train blocker: T304002
Not sure what's causing this but my guess is the Temporary accounts project.

Hi @jeena we've prepared a backport https://gerrit.wikimedia.org/r/771395 (nothing to do with IP masking). Patch is working on beta cluster, we will look to backport this tomorrow.

You should feel free to backport this yourself and continue the train if you want to move quicker.

Thanks for the update @Jdlrobson. I think it will be fine to backport tomorrow since there are still remaining blockers but in the case those get fixed before you do I may go ahead and backport.

Change 771702 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] group1 wikis to 1.38.0-wmf.26 refs T300202

https://gerrit.wikimedia.org/r/771702

Change 771702 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.38.0-wmf.26 refs T300202

https://gerrit.wikimedia.org/r/771702

Mentioned in SAL (#wikimedia-operations) [2022-03-17T21:10:25Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.38.0-wmf.26 refs T300202

Mentioned in SAL (#wikimedia-operations) [2022-03-17T21:11:16Z] <jhuneidi@deploy1002> Synchronized php: group1 wikis to 1.38.0-wmf.26 refs T300202 (duration: 00m 50s)

Change 771740 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] all wikis to 1.38.0-wmf.26 refs T300202

https://gerrit.wikimedia.org/r/771740

Change 771740 merged by jenkins-bot:

[operations/mediawiki-config@master] all wikis to 1.38.0-wmf.26 refs T300202

https://gerrit.wikimedia.org/r/771740

Mentioned in SAL (#wikimedia-operations) [2022-03-17T22:36:10Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: all wikis to 1.38.0-wmf.26 refs T300202

hashar added a subscriber: hashar.

Looks like it is a success!